LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-20-2003, 03:17 PM   #1
kired
LQ Newbie
 
Registered: Mar 2003
Distribution: Debian
Posts: 26

Rep: Reputation: 15
problem installing mplayer


I was trying to install mplayer, soy it type ./configure --enable-gui, and then an error come out "X11 support required for GUI compilation", what does it means? and what do i have to do to fix it? thanks for any help, i don't know if it is important but I'm using Debian. thx
 
Old 04-20-2003, 03:28 PM   #2
bulliver
Senior Member
 
Registered: Nov 2002
Location: Edmonton AB, Canada
Distribution: Gentoo x86_64; Gentoo PPC; FreeBSD; OS X 10.9.4
Posts: 3,760
Blog Entries: 4

Rep: Reputation: 78
It means that to use a GUI you need to have X installed. I assume you already do though right? You may need to compile against the X11 headers perhaps.
 
Old 04-20-2003, 08:03 PM   #3
kired
LQ Newbie
 
Registered: Mar 2003
Distribution: Debian
Posts: 26

Original Poster
Rep: Reputation: 15
Sorry if i sound kind of dum, but i dont know what you ment by that, i search from the moment you reply the post but i havent found something that helps, could you explain me please.
 
Old 04-20-2003, 08:33 PM   #4
michaelk
Moderator
 
Registered: Aug 2002
Posts: 14,956

Rep: Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530Reputation: 1530
GUI: graphical users interface. X11 is the server where your windows desktop like KDE or Gnome etc if installed runs in.

So are you running a windows desktop on your debian box?
 
Old 04-20-2003, 08:34 PM   #5
kired
LQ Newbie
 
Registered: Mar 2003
Distribution: Debian
Posts: 26

Original Poster
Rep: Reputation: 15
yes i'm running KDE
 
Old 04-20-2003, 09:56 PM   #6
neo77777
LQ Addict
 
Registered: Dec 2001
Location: Brooklyn, NY
Distribution: *NIX
Posts: 3,704

Rep: Reputation: 56
You need X11 libs installed as well, they should be on installation CD's or apt-get them, you need to research a bit what they called maybe X11-lib.

Last edited by neo77777; 04-20-2003 at 09:57 PM.
 
Old 04-21-2003, 09:28 AM   #7
tcaptain
LQ Addict
 
Registered: Jul 2002
Location: Montreal
Distribution: Gentoo 2004 from stage 1 baby!
Posts: 1,403

Rep: Reputation: 45
Install the development packages as well.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
problem installing mplayer thearchitect Linux - Software 1 11-17-2005 05:56 AM
problem installing mplayer linuxboy_inside Linux - Software 15 04-03-2004 12:27 AM
Problem with installing mplayer.... avols143 Linux - General 2 02-20-2004 07:34 AM
problem installing mplayer pradu Linux - Newbie 4 11-25-2003 01:53 AM
problem installing mplayer mobassir Linux - Software 19 08-23-2003 02:29 PM


All times are GMT -5. The time now is 11:58 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration